<!DOCTYPE html>
<html lang="pt-br">
  <head>
    <meta charset="iso-8859-1">
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="icon" href="favicon.ico" type="image/x-icon">

    <title>CRM Delvale <?php echo VERSAO ?></title>

    <link href="<?php echo FaHtml::getCssUrl('login/bootstrap/css/bootstrap.min.css', false, true); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo FaHtml::getCssUrl('login/font-awesome/css/font-awesome.min.css', false, true); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo FaHtml::getCssUrl('login/AdminLTE.min.css', false, true); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo FaHtml::getCssUrl('login/skin-blue.min.css', false, true); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo FaHtml::getCssUrl('login/custom.css', false, true); ?>" rel="stylesheet" type="text/css" />
    <script src="<?php echo FaHtml::getJsUrl('jquery-2.2.3.min.js', false, true); ?>" type="text/javascript"></script>
    <script type="text/javascript">
       window.onload = (function(){
                notificacoes_request_permission();
            });
            notificacoes_check = function() {
                if (window.Notification) {
                    return true;
                } else {
                    console.log("Hum... navegador sem suporte a notificações!.");
                    return false;
                }
            }
            notificacoes = function(title, opt) {
                if (notificacoes_check()) {
                    if (window.Notification.permission != "granted") {
                        console.log("aqui");
                        window.Notification.requestPermission(function(){
                            new Notification(title, opt);
                        });
                    } else {
                        new Notification(title, opt);
                    }
                }
            }
            notificacoes_request_permission = function(callback) {
                if (notificacoes_check()) {
                    if (window.Notification.permission != "granted") {
                        window.Notification.requestPermission();
                    }
                }
            }
   </script>
   <style type="text/css">
       #obfuscate {
            background: rgba(204, 204, 204, 0.84);
       }
       .login-box {
          width: 50%;
       }
       .login-box .login-box-body div {
            min-height: 250px;
       }
       legend {
        text-align: center;
       }
       .login-box .login-box-body div p b {
        font-size: 90%;
        color: #c7254e;
       }
       .login-box .login-box-body pre {
        max-height: 150px;
        overflow-x: hidden;
       }
   </style>

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body class="hold-transition skin-windel login-page" id="background-<?php echo rand(1, 7); ?>">
    <div id="body-background"></div>
    <div id="obfuscate"></div>
    <div class="login-box">
      <div class="login-logo">Oops! Ação bloqueada</div>
        <div class="login-box-body">
            <fieldset id="step-1">
            <p><code>Não é possível acessar o sistema fora do seu hórário de trabalho!</code></p>
            <p>
            <?php
            $funcionario = User::getUser();
            if($funcionario->FUN_RESTRICAOACESSO == Funcionarios::SEM_RESTRICAO) {
                echo 'Contate os responsáveis pelo CRM, seu usuário não deveria ter restrição de acesso!';
            } else if($funcionario->FUN_RESTRICAOACESSO == Funcionarios::SOMENTE_DIAS) {
                echo '<b>Dias em que você pode acessar:</b> '.User::getDiasAcesso(true).'<br />';
                echo '<b>Horários em que você pode acessar:</b> Qualquer horário<br />';
            } else {
                echo '<b>Dias em que pode você acessar:</b> '.User::getDiasAcesso(true).'<br />';
                echo '<b>Horários em que pode você acessar:</b> '.User::getHorariosAcesso().'<br />';
            }
            ?></p>
            <p>Caso você precise acessar em algum horário diferente favor enviar e-mail solicitando acesso para <a href="mailto:controladoria@windel.com.br">controladoria@windel.com.br</a>.</p>
        </div>
        <script type="text/javascript"">
            function redirect (url) {
                var ua        = navigator.userAgent.toLowerCase(),
                    isIE      = ua.indexOf('msie') !== -1,
                    version   = parseInt(ua.substr(4, 2), 10);

                // Internet Explorer 8 and lower
                if (isIE && version < 9) {
                    var link = document.createElement('a');
                    link.href = url;
                    document.body.appendChild(link);
                    link.click();
                }

                // All other browsers can use the standard window.location.href (they don't lose HTTP_REFERER like Internet Explorer 8 & lower does)
                else {
                    window.parent.location.href = url;
                }
            }
            var url = window.location.href;
            setTimeout("redirect(url)", 300000);

        </script>
        <input type='hidden' name="base_url" value="<?php echo Yii::app()->getBaseUrl(true); ?>" />
        </div>
    </div>
    <div class="text-center nav navbar-fixed-bottom">
        <span>CRM versão <?php echo VERSAO; ?></span><span>Windel Sistemas &bull; Todos os direitos reservados</span>
    </div>
    <?php
        if (!User::isAutomatic()) {
            Yii::app()->user->logout();
            Yii::app()->session->clear();
            Yii::app()->session->destroy();
        }
    ?>
  </body>
</html>
